---
regenerate:                             false
---

{% capture cache %}

{% comment %}
# -----------------------------------------------------------------------------
#  ~/assets/themes/j1/core/js/adapter/iframer.js
#  Liquid template to create the Template Adapter for J1 iFrameResizer
#
#  Product/Info:
#  https://jekyll.one
#  http://davidjbradshaw.github.io/iframe-resizer/
#
#  Copyright (C) 2019 Juergen Adams
#  Copyright (C) 2013-15 David J. Bradshaw
#
#  J1 Template is licensed under the MIT License.
#  For details, see https://jekyll.one
#  iFrameResizer is licensed under under the MIT License.
#  For details, see http://davidjbradshaw.github.io/iframe-resizer/
#
# -----------------------------------------------------------------------------
{% endcomment %}

/*
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/iframer.js
 #  J1 Adapter for J1 iFrameResizer
 #
 #  Product/Info:
 #  https://jekyll.one
 #  http://davidjbradshaw.github.io/iframe-resizer/
 #
 #  Copyright (C) 2019 Juergen Adams
 #  Copyright (C) 2013-15 David J. Bradshaw
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  iFrameResizer is licensed under under the MIT License.
 #  For details, see http://davidjbradshaw.github.io/iframe-resizer/
 #
 # -----------------------------------------------------------------------------
 #  Adapter generated: {{site.time}}
 # -----------------------------------------------------------------------------
 */

{% assign config = site.data.modules.j1_iframe_resizer %}

 j1.IFramer = (function (j1, window) {

  return {
    // Initialize
    init: function ( options ) {

      this.settings = $.extend({}, options);

      if (this.settings.minHeight === undefined) {
        this.settings.minHeight = {{config.minHeight}};
      }
      if (this.settings.checkOrigin === undefined) {
        this.settings.checkOrigin = {{config.checkOrigin}};
      }
      if (this.settings.log === undefined) {
        this.settings.log = {{config.log}};
      }

      iFrameResize({
        // Options
        log:                      this.settings.log,
        autoResize:               {{config.autoResize | json }},
        bodyBackground:           {{config.bodyBackground | json }},
        bodyMargin:               {{config.bodyMargin | json }},
        checkOrigin:              {{config.checkOrigin | json }},
        inPageLinks:              {{config.inPageLinks | json }},
        interval:                 {{config.interval | json }},
        heightCalculationMethod:  {{config.heightCalculationMethod | json }},
        maxHeight:                {{config.maxHeight | json }},
        minWidth:                 {{config.minWidth | json }},
        maxWidth:                 {{config.maxWidth}},
        minHeight:                this.settings.minHeight,
        resizeFrom:               {{config.resizeFrom | json }},
        scrolling:                {{config.scrolling | json }},
        sizeHeight:               {{config.sizeHeight | json }},
        sizeWidth:                {{config.sizeWidth | json }},
        tolerance:                {{config.tolerance | json }},
        widthCalculationMethod:   {{config.widthCalculationMethod | json }},
        targetOrigin:             this.settings.checkOrigin
      });

      return true;
    } // END init

  }; // END return
})(j1, window);

{% endcapture %}

{{ cache | strip_empty_lines }}
{% assign cache = nil %}
