---
regenerate:                         true
---

{% capture cache %}

{% comment %}
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/smooth_scroll.js
 #  Liquid template to create the Template Adapter for J1 Scroller
 #
 #  Product/Info:
 #  http://jekyll.one
 #
 #  Copyright (C) 2019 Juergen Adams
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #
 # -----------------------------------------------------------------------------
 # Test data:
 #  {{ liquid_var | debug }}
 #
 # -----------------------------------------------------------------------------
{% endcomment %}

/*
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/smooth_scroll.js
 #  JS Adapter for J1 Scroller (SmoothScroll)
 #
 #  Product/Info:
 #  http://jekyll.one
 #  https://github.com/galambalazs/smoothscroll-for-websites
 #
 #  Copyright (C) 2019 Juergen Adams
 #  Copyright (C) 2010-2016 Balazs Galambosi
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  Smooth Scroll is licensed under the MIT License.
 #  For details, https://github.com/galambalazs/smoothscroll-for-websites
 #
 # -----------------------------------------------------------------------------
 #  Adapter generated: {{site.time}}
 # -----------------------------------------------------------------------------
*/
'use strict';

{% comment %} Variables
--------------------------------------------------------------- {% endcomment %}

{% assign environment   = site.environment %}
{% assign config        = site.data.modules.j1_smooth_scroll %}


{% comment %} Main
--------------------------------------------------------------- {% endcomment %}

j1.Scroller = (function (j1, window) {

  var environment = '{{environment}}'; // Set environment
  var state       = 'not_started';
  var logger;
  var logText;

  return {

    // Initialize
    init: function () {
      // Setup logger
      logger = log4javascript.getLogger("j1.Scroller.adapter");
      state = 'started';
      logger.info('state: ' + state); // Set|Log status
      logger.info("SmoothScroll being initialized");

      SmoothScroll({
        frameRate:              {{ config.frameRate | json }},
        animationTime:          {{ config.animationTime | json }},
        stepSize:               {{ config.stepSize | json }},
        accelerationDelta:      {{ config.accelerationDelta | json }},
        accelerationMax:        {{ config.accelerationMax | json }},
        keyboardSupport:        {{ config.keyboardSupport | json }},
        arrowScroll:            {{ config.arrowScroll | json }},
        pulseAlgorithm:         {{ config.pulseAlgorithm | json }},
        pulseScale:             {{ config.pulseScale | json }},
        pulseNormalize:         {{ config.pulseNormalize | json }},
        touchpadSupport:        {{ config.touchpadSupport | json }},
        fixedBackground:        {{ config.fixedBackground | json }},
        excluded:               {{ config.excluded | json }},
      });

      state = 'finished';
      logger.info('state: ' + state); // Set|Log status
      logger.info("SmoothScroll initialized successfully");

      return true;
    }, // END init

    // -------------------------------------------------------------------------
    //  returns the current (processing) state of the module
    // -------------------------------------------------------------------------
    state: function () {
      return state;
    } // END state

  }; // END return
})(j1, window);

{% endcapture %}

{{ cache | strip_empty_lines }}
{% assign cache = nil %}
