---
regenerate:                             true
---

{% capture cache %}

{% comment %}
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/cookiebar.js
 #  Liquid template to create the Template Adapter for J1 Cookiebar
 #
 #  Product/Info:
 #  http://jekyll.one
 #  http://www.primebox.co.uk/projects/jquery-cookiebar/
 #
 #  Copyright (C) 2019 Juergen Adams
 #  Copyright (C) 2016 Ant Parsons (primebox.co.uk)
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  jQuery Cookibar is licensed under Creative Commons Attribution 3.0 Unported License.
 #  For details, see http://www.primebox.co.uk/projects/jquery-cookiebar/
 #
 # -----------------------------------------------------------------------------
 # Test data:
 #  {{ liquid_var | debug }}
 #
 # -----------------------------------------------------------------------------
{% endcomment %}

/*
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/cookiebar.js
 #  JS Adapter for J1 Cookiebar
 #
 #  Product/Info:
 #  http://jekyll.one
 #  http://www.primebox.co.uk/projects/jquery-cookiebar/
 #
 #  Copyright (C) 2019 Juergen Adams
 #  Copyright (C) 2016 Ant Parsons (primebox.co.uk)
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  jQuery Cookibar is licensed under Creative Commons Attribution 3.0 Unported License.
 #  For details, see http://www.primebox.co.uk/projects/jquery-cookiebar/
 #
 # -----------------------------------------------------------------------------
 #  Adapter generated: {{site.time}}
 # -----------------------------------------------------------------------------
*/

// NOTE:
//

// SPEC:
//

// TODO: CSS Settings for text_color|background_color are to be implemented by the adapter


{% assign config = site.data.modules.j1_cookiebar %}

j1.CookieBar = (function (j1, window) {
  'use strict';
  return {
    // Initialize
    init: function () {
      // Setup logger
      var logger = log4javascript.getLogger('j1.CookieBar');

      $.cookieBar ({
        stopScrolling:          {{ config.stopScrolling | json }},
        autoEnable:             {{ config.autoEnable | json }},
        message:                {{ config.message | json }},
        acceptButton:           {{ config.acceptButton | json }},
        acceptText:             {{ config.acceptText | json }},
        acceptFunction:         {{ config.acceptFunction | json }},
        declineButton:          {{ config.declineButton | json }},
        declineText:            {{ config.declineText | json }},
        declineFunction:        {{ config.declineFunction | json }},
        policyButton:           {{ config.policyButton | json }},
        policyText:             {{ config.policyText | json }},
        policyURL:              {{ config.policyURL | json }},
        acceptOnContinue:       {{ config.acceptOnContinue | json }},
        acceptOnScroll:         {{ config.acceptOnScroll | json }},
        acceptAnyClick:         {{ config.acceptAnyClick | json }},
        expireDays:             {{ config.expireDays | json }},
        renewOnVisit:           {{ config.renewOnVisit | json }},
        forceShow:              {{ config.forceShow | json }},
        effect:                 {{ config.effect | json }},
        element:                {{ config.element | json }},
        append:                 {{ config.append | json }},
        fixed:                  {{ config.fixed | json }},
        bottom:                 {{ config.bottom | json }},
        zindex:                 {{ config.zindex | json }},
        domain:                 {{ config.domain | json }},
        referrer:               {{ config.referrer | json }}
      });

      var log_text = 'CookieBar initialized successfully'
      logger.info(log_text);

    } // end init lightbox
  }; // end return

})(j1, window);

{% endcapture %}

{{ cache | strip_empty_lines }}
{% assign cache = nil %}
